### Method

# Gtk TreeViewColumncell_set_cell_data

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_view_column_cell_set_cell_data (
      GtkTreeViewColumn* tree_column,
      GtkTreeModel* tree_model,
      GtkTreeIter* iter,
      gboolean is_expander,
      gboolean is_expanded
    )

#### Description [src]

Sets the cell renderer based on the `tree_model` and `iter`. That is, for every attribute mapping in `tree_column`, it will get a value from the set column on the `iter`, and use that value to set the attribute on the cell renderer. This is used primarily by the `GtkTreeView`.

Deprecated since: 4.10

Use GtkColumnView instead.

#### Parameters

`tree_model`

  Type: `GtkTreeModel`

  The `GtkTreeModel` to get the cell renderers attributes from.

  The data is owned by the caller of the method.

`iter`

  Type: `GtkTreeIter`

  The `GtkTreeIter` to get the cell renderer’s attributes from.

  The data is owned by the caller of the method.

`is_expander`

  Type: `gboolean`

  `TRUE`, if the row has children.

`is_expanded`

  Type: `gboolean`

  `TRUE`, if the row has visible children.